卡饭网 > 其他 > 正文

Unable to find a version of the runtime to run this application解决方法

来源:本站整理 作者:梦在深巷 时间:2013-11-08 06:08:16

错误现象

运行 VC# 程序,提示如下:

复制代码

代码如下:

Unable to find a version of the runtime to run this application.

初探原因

这表示缺少对应版本的 .NET 运行库,需下载相应的 .NET Framework。说白了,就是需要安装运行环境,就像您安装一些游戏软件,要求您先装什么什么一样。

深究原因

微软的 .NET Framework 版本大致有:1.x 系列、2.0、3.0、3.5 SP1、4.0、4.5。

1).1.x 系列很老了,当时 .NET 还不成熟,可以忽略;
2).2.0、3.0、3.5 SP1 基架都是 2.0,安装了 3.5 SP1,那么在 3.5 SP1、3.0、2.0 上开发的软件都能用,所以我们一般下载高版本的 3.5 SP1(要求至少是 Windows XP SP2);
3).4.0 要求至少是 Windows XP SP3,这个版本不包括之前的版本,也就是说并不是说安了 4.0,就可以运行在 3.5 SP1、3.0、2.0 上开发的软件,它只能运行在 4.0 上开发的软件。
4).4.5 要求至少是 Windows Vista SP2、Windows 7 SP1,我相信在中国,极少有人敢用这个版本来开发,因为中国大部分还是 Windows XP 用户啊,所以这个也可以忽略。

解决办法

也就是说,如果不确定是在哪个版本下开发的软件,建议把 3.5 SP1、4.0 都安装了。

下载地址

注意:虽然本文给的下载地址是官方完整安装包的链接,但是在安装过程中,安装程序还是需要到网上去下载一个语言包(自动下载),所以在安装过程中,应该保持计算机联网。

相关推荐